Package owl.ltl.robust

## Enum Robustness

- java.lang.Object
- - java.lang.Enum<Robustness>
  - - owl.ltl.robust.Robustness

- All Implemented Interfaces:
    `Serializable`, `Comparable<Robustness>`

      public enum Robustness
      extends Enum<Robustness>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS` |
    `EVENTUALLY` |
    `EVENTUALLY_ALWAYS` |
    `INFINITELY_OFTEN` |
    `NEVER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Formula` | `buildFormula​(Split split, EnumSet<Robustness> robustness)` |
    `static Robustness` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Robustness[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final Robustness NEVER

    - #### EVENTUALLY

          public static final Robustness EVENTUALLY

    - #### INFINITELY_OFTEN

          public static final Robustness INFINITELY_OFTEN

    - #### EVENTUALLY_ALWAYS

          public static final Robustness EVENTUALLY_ALWAYS

    - #### ALWAYS

          public static final Robustness ALWAYS

  - ### Method Detail

    - #### values

          public static Robustness[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Robustness c : Robustness.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Robustness valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### buildFormula

          public static Formula buildFormula​(Split split,
                                             EnumSet<Robustness> robustness)